Debian Bug report logs - #638045
warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available

version graph

Package: libsasl2-2; Maintainer for libsasl2-2 is Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>; Source for libsasl2-2 is src:cyrus-sasl2.

Reported by: Johnny Morano <jmorano@moretrix.com>

Date: Tue, 16 Aug 2011 20:03:01 UTC

Severity: serious

Found in version cyrus-sasl2/2.1.24~rc1.dfsg1+cvs2011-05-23-5

Fixed in versions cyrus-sasl2/2.1.24~rc1.dfsg1+cvs2011-05-23-6, postfix/2.8.4-1

Done: LaMont Jones <lamont@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Tue, 16 Aug 2011 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johnny Morano <jmorano@moretrix.com>:
New Bug report received and forwarded. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Tue, 16 Aug 2011 20:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Johnny Morano <jmorano@moretrix.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Tue, 16 Aug 2011 21:54:14 +0200
Package: libsasl2-2
Version: 2.1.24~rc1.dfsg1+cvs2011-05-23-5
Severity: important

Postfix is unable to receive mail and unable to send mail via SASL authentication, after installing the updates of today.
These are the error messages:

Aug 16 17:34:28 musashi postfix/smtpd[14716]: connect from relay02.secure-mail.be[195.13.7.5]                                                                                                                                             
Aug 16 17:34:28 musashi postfix/smtpd[14716]: warning: SASL authentication failure: Internal Error -4 in ../../lib/server.c near line 1731                                                                                                
Aug 16 17:34:28 musashi last message repeated 2 times                                                                                                                                                                                     
Aug 16 17:34:28 musashi postfix/smtpd[14716]: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available                                                                                                                      
Aug 16 17:34:28 musashi postfix/smtpd[14716]: fatal: no SASL authentication mechanisms                                                                                                                                                    
Aug 16 17:34:29 musashi postfix/master[2687]: warning: process /usr/lib/postfix/smtpd pid 14716 exit status 1                                                                                                                             
Aug 16 17:34:29 musashi postfix/master[2687]: warning: /usr/lib/postfix/smtpd: bad command startup -- throttling                                                                                                                          

I have installed:
.oO( musashi | ~ )Oo. dpkg --get-selections | grep -i sasl
libauthen-sasl-perl                             install
libsasl2-2                                      install
libsasl2-modules                                install
libsasl2-modules-gssapi-heimdal                 install
libsasl2-modules-otp                            install
php-auth-sasl                                   install
sasl2-bin                                       install

Completly disabling sasl in /etc/postfix/main.cf and /etc/postfix/master.cf currently fixes receiving, but of course doesn't allow to send mail using SASL authenticated clients.
It worked perfectly before the updates :-)

Thanks!
Johnny

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libsasl2-2 depends on:
ii  libc6                         2.13-16    Embedded GNU C Library: Shared lib
ii  libdb5.1                      5.1.25-11  Berkeley v5.1 Database Libraries [
ii  multiarch-support             2.13-16    Transitional package to ensure mul

Versions of packages libsasl2-2 recommends:
ii  libsasl 2.1.24~rc1.dfsg1+cvs2011-05-23-5 Cyrus SASL - pluggable authenticat

libsasl2-2 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 10:03:14 GMT) Full text and rfc822 format available.

Message #10 received at 638045@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 638045@bugs.debian.org
Cc: Johnny Morano <jmorano@moretrix.com>
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 11:59:19 +0200
[Message part 1 (text/plain, inline)]
severity 638045 serious
affects 638045 postfix
thanks

On Tue, Aug 16, 2011 at 09:54:14PM +0200, Johnny Morano wrote:
> Package: libsasl2-2
> Version: 2.1.24~rc1.dfsg1+cvs2011-05-23-5
> Severity: important
> 
> Postfix is unable to receive mail and unable to send mail via SASL
> authentication, after installing the updates of today.  These are the
> error messages:

I can reproduce this in Sid.

Reverting both "libsasl2-2" and "libsasl2-modules" to version
2.1.23.dfsg1-7 fixes the problem.

I'm setting severity as serious, as it breaks pretty heavily mail
delivery for SASL-based postfix configuration. I'm also marking the bug
as affecting postfix, as many people will probably look for some issue
there.

Thanks for maintaining Cyrus SASL, it ain't easy!
Cheers.
-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Quando anche i santi ti voltano le spalle, |  .  |. I've fans everywhere
ti resta John Fante -- V. Capossela .......| ..: |.......... -- C. Adams
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'important' Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Wed, 17 Aug 2011 10:03:26 GMT) Full text and rfc822 format available.

Added indication that 638045 affects postfix Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Wed, 17 Aug 2011 10:03:27 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 11:57:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 11:57:26 GMT) Full text and rfc822 format available.

Message #19 received at 638045@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 638045@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>, Johnny Morano <jmorano@moretrix.com>
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 13:53:12 +0200
[Message part 1 (text/plain, inline)]
Hi there!

On Wed, 17 Aug 2011 11:59:19 +0200, Stefano Zacchiroli wrote:
> On Tue, Aug 16, 2011 at 09:54:14PM +0200, Johnny Morano wrote:
>> Postfix is unable to receive mail and unable to send mail via SASL
>> authentication, after installing the updates of today.  These are the
>> error messages:
>
> I can reproduce this in Sid.

/me too.

> Reverting both "libsasl2-2" and "libsasl2-modules" to version
> 2.1.23.dfsg1-7 fixes the problem.

FWIW, reverting to 2.1.24~rc1.dfsg1+cvs2011-05-23-4 is enough.

BTW, if you use Cyrus SASL authentication in Postfix, you can not
     actually revert libsasl2-2 and libsasl2-modules only, but you need
     to revert sasl2-bin as well because of its versioned dependency.

> I'm setting severity as serious, as it breaks pretty heavily mail
> delivery for SASL-based postfix configuration. I'm also marking the bug
> as affecting postfix, as many people will probably look for some issue
> there.

Thank you, indeed I did not find it during a first look, maybe the title
should be changed to reflect the IMHO most common error?  In my case:

  C61E120DDD     2071 Wed Aug 17 10:45:55  luca@pca.it
  (SASL authentication failed; cannot authenticate to server \
   home.pca.it[83.211.85.135]: no mechanism available)
                                         debian-publicity@lists.debian.org

Two notes, maybe they could be useful:

1) the upgrade from -4 to -5 created an /etc/sasldb2 file, is it really
   useful?  And why not in /etc/sasl2/ instead, already used by
   libvirt-bin?

2) the remote SMTP server uses Postfix_2.7.1-1+squeeze1, but SASL
   authentication is provided by Dovecot_1:1.2.15-7.gismo.gnus8959~1
   (see #632844).

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sasl2-bin depends on:
ii  db-util 5.1.4                            Berkeley Database Utilities
ii  debconf 1.5.41                           Debian configuration management sy
ii  libc6   2.13-16                          Embedded GNU C Library: Shared lib
ii  libcome 1.42~WIP-2011-07-02-1            common error description library
ii  libdb5. 5.1.25-11                        Berkeley v5.1 Database Libraries [
ii  libgssa 1.9.1+dfsg-2                     MIT Kerberos runtime libraries - k
ii  libk5cr 1.9.1+dfsg-2                     MIT Kerberos runtime libraries - C
ii  libkrb5 1.9.1+dfsg-2                     MIT Kerberos runtime libraries
ii  libldap 2.4.25-3                         OpenLDAP libraries
ii  libpam0 1.1.3-2                          Pluggable Authentication Modules l
ii  libsasl 2.1.24~rc1.dfsg1+cvs2011-05-23-5 Cyrus SASL - authentication abstra
ii  libssl1 1.0.0d-3                         SSL shared libraries
ii  lsb-bas 3.2-27                           Linux Standard Base 3.2 init scrip

sasl2-bin recommends no packages.

sasl2-bin suggests no packages.

-- Configuration Files:
/etc/default/saslauthd changed:
START=yes
DESC="SASL Authentication Daemon"
NAME="saslauthd"
MECHANISMS="pam"
MECH_OPTIONS=""
THREADS=5
OPTIONS="-c -m /var/spool/postfix/var/run/saslauthd"


-- debconf information:
  cyrus-sasl2/upgrade-sasldb2-failed:
  cyrus-sasl2/backup-sasldb2: /var/backups/sasldb2.bak
  cyrus-sasl2/upgrade-sasldb2-backup-failed:
  cyrus-sasl2/purge-sasldb2: false
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 13:06:40 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 13:06:41 GMT) Full text and rfc822 format available.

Message #24 received at 638045@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Luca Capello <luca@pca.it>
Cc: 638045@bugs.debian.org, Stefano Zacchiroli <zack@debian.org>, Johnny Morano <jmorano@moretrix.com>, postfix@packages.debian.org
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 15:05:32 +0200
[ CC'ing postfix maintainer for his opinion. ]

On 2011-08-17 13:53 +0200, Luca Capello wrote:

> On Wed, 17 Aug 2011 11:59:19 +0200, Stefano Zacchiroli wrote:
>> On Tue, Aug 16, 2011 at 09:54:14PM +0200, Johnny Morano wrote:
>>> Postfix is unable to receive mail and unable to send mail via SASL
>>> authentication, after installing the updates of today.  These are the
>>> error messages:
>>
>> I can reproduce this in Sid.
>
> /me too.
>
>> Reverting both "libsasl2-2" and "libsasl2-modules" to version
>> 2.1.23.dfsg1-7 fixes the problem.
>
> FWIW, reverting to 2.1.24~rc1.dfsg1+cvs2011-05-23-4 is enough.
>
> BTW, if you use Cyrus SASL authentication in Postfix, you can not
>      actually revert libsasl2-2 and libsasl2-modules only, but you need
>      to revert sasl2-bin as well because of its versioned dependency.
>
>> I'm setting severity as serious, as it breaks pretty heavily mail
>> delivery for SASL-based postfix configuration. I'm also marking the bug
>> as affecting postfix, as many people will probably look for some issue
>> there.
>
> Thank you, indeed I did not find it during a first look, maybe the title
> should be changed to reflect the IMHO most common error?  In my case:
>
>   C61E120DDD     2071 Wed Aug 17 10:45:55  luca@pca.it
>   (SASL authentication failed; cannot authenticate to server \
>    home.pca.it[83.211.85.135]: no mechanism available)
>                                          debian-publicity@lists.debian.org


Here is what I got:

,----
| Aug 17 14:16:59 turtle postfix/smtp[28566]: warning: SASL authentication failure: No worthy mechs found
| Aug 17 14:16:59 turtle postfix/smtp[28566]: 4BD0A3F4F6: SASL authentication failed; cannot authenticate to server mail.gmx.net[213.165.64.20]: no mechanism available
`----

Postfix's SASL_README has this interesting information:

,----
|     SASL authentication failure: No worthy mechs found
| 
|     Note
| 
|     This same error message will also be logged when the libplain.so or
|     liblogin.so modules are not installed in the /usr/lib/sasl2 directory.
`----

And /usr/lib/sasl2 is hardcoded in postfix, see
src/xsasl/xsasl_cyrus_log.c:

int xsasl_getpath(void * context, char ** path)
{
#if SASL_VERSION_MAJOR >= 2
    *path = concatenate(var_config_dir, "/", "sasl:/usr/lib/sasl2", (char *) 0);
#else
    *path = concatenate(var_config_dir, "/", "sasl:/usr/lib/sasl", (char *) 0);
#endif
    return SASL_OK;
}

So this bug has been triggered by the switch to multiarch paths in
cyrus-sasl2, and postfix is to blame for hardcoding /usr/lib/sasl2.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 13:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 13:39:03 GMT) Full text and rfc822 format available.

Message #29 received at 638045@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Sven Joachim <svenjoac@gmx.de>, 638045@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Cc: Luca Capello <luca@pca.it>, postfix@packages.debian.org, Stefano Zacchiroli <zack@debian.org>, Johnny Morano <jmorano@moretrix.com>
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 15:34:23 +0200
Ccing vorlon, since he is the MultiArch guy :)

On Wed, Aug 17, 2011 at 15:05, Sven Joachim <svenjoac@gmx.de> wrote:
> And /usr/lib/sasl2 is hardcoded in postfix, see
> src/xsasl/xsasl_cyrus_log.c:
>
> int xsasl_getpath(void * context, char ** path)
> {
> #if SASL_VERSION_MAJOR >= 2
>    *path = concatenate(var_config_dir, "/", "sasl:/usr/lib/sasl2", (char *) 0);
> #else
>    *path = concatenate(var_config_dir, "/", "sasl:/usr/lib/sasl", (char *) 0);
> #endif
>    return SASL_OK;
> }
>
> So this bug has been triggered by the switch to multiarch paths in
> cyrus-sasl2, and postfix is to blame for hardcoding /usr/lib/sasl2.

I guess the Ubuntu already have a patch for that

I could remove the MultiArch patch as a quick remedy and wait for
postfix to catch up. Opinions?

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 13:48:04 GMT) Full text and rfc822 format available.

Message #34 received at 638045@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Sven Joachim <svenjoac@gmx.de>, 638045@bugs.debian.org, Steve Langasek <vorlon@debian.org>
Cc: Luca Capello <luca@pca.it>, postfix@packages.debian.org, Stefano Zacchiroli <zack@debian.org>, Johnny Morano <jmorano@moretrix.com>
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 15:44:56 +0200
postfix (2.8.3-1ubuntu3) oneiric; urgency=low

  * src/xsasl/xsasl_cyrus_{client,server}.c: don't set a sasl callback for
    the path, only do so for the config path; we shouldn't override the
    already-correct module path built into cyrus-sasl2 itself,
    especially now that said path may change due to multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 20:10:53 -0700


On Wed, Aug 17, 2011 at 15:34, Ondřej Surý <ondrej@sury.org> wrote:
> Ccing vorlon, since he is the MultiArch guy :)
>
> On Wed, Aug 17, 2011 at 15:05, Sven Joachim <svenjoac@gmx.de> wrote:
>> And /usr/lib/sasl2 is hardcoded in postfix, see
>> src/xsasl/xsasl_cyrus_log.c:
>>
>> int xsasl_getpath(void * context, char ** path)
>> {
>> #if SASL_VERSION_MAJOR >= 2
>>    *path = concatenate(var_config_dir, "/", "sasl:/usr/lib/sasl2", (char *) 0);
>> #else
>>    *path = concatenate(var_config_dir, "/", "sasl:/usr/lib/sasl", (char *) 0);
>> #endif
>>    return SASL_OK;
>> }
>>
>> So this bug has been triggered by the switch to multiarch paths in
>> cyrus-sasl2, and postfix is to blame for hardcoding /usr/lib/sasl2.
>
> I guess the Ubuntu already have a patch for that
>
> I could remove the MultiArch patch as a quick remedy and wait for
> postfix to catch up. Opinions?
>
> O.
> --
> Ondřej Surý <ondrej@sury.org>
>



-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 13:57:05 GMT) Full text and rfc822 format available.

Message #39 received at 638045@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 638045@bugs.debian.org
Cc: Ondřej Surý <ondrej@sury.org>, Sven Joachim <svenjoac@gmx.de>, Steve Langasek <vorlon@debian.org>, postfix@packages.debian.org, Stefano Zacchiroli <zack@debian.org>, Johnny Morano <jmorano@moretrix.com>
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 15:54:17 +0200
[Message part 1 (text/plain, inline)]
Hi there!

On Wed, 17 Aug 2011 15:34:23 +0200, Ondřej Surý wrote:
> On Wed, Aug 17, 2011 at 15:05, Sven Joachim <svenjoac@gmx.de> wrote:
>> So this bug has been triggered by the switch to multiarch paths in
>> cyrus-sasl2, and postfix is to blame for hardcoding /usr/lib/sasl2.
>
> I guess the Ubuntu already have a patch for that
>
> I could remove the MultiArch patch as a quick remedy and wait for
> postfix to catch up. Opinions?

The correct solution would be for libsasl2-2 to add:

  Breaks: postfix (<< $VERSION_INTRODUCING_MULTIARCH)

If you want to react ASAP, you can start with 2.8.3-1, the postfix
version in sid and then upgrading it later coordinating with the postfix
maintainers.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Wed, 17 Aug 2011 17:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Wed, 17 Aug 2011 17:15:12 GMT) Full text and rfc822 format available.

Message #44 received at 638045@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: Sven Joachim <svenjoac@gmx.de>, 638045@bugs.debian.org, Luca Capello <luca@pca.it>, LaMont Jones <lamont@debian.org>, Stefano Zacchiroli <zack@debian.org>, Johnny Morano <jmorano@moretrix.com>
Subject: Re: Bug#638045: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Wed, 17 Aug 2011 10:11:52 -0700
[Message part 1 (text/plain, inline)]
On Wed, Aug 17, 2011 at 03:44:56PM +0200, Ondřej Surý wrote:
> postfix (2.8.3-1ubuntu3) oneiric; urgency=low

>   * src/xsasl/xsasl_cyrus_{client,server}.c: don't set a sasl callback for
>     the path, only do so for the config path; we shouldn't override the
>     already-correct module path built into cyrus-sasl2 itself,
>     especially now that said path may change due to multiarch.

>  -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Aug 2011 20:10:53 -0700

I did communicate this to LaMont on IRC as I was preparing the fix, but I
honestly wasn't expecting cyrus-sasl2 to get changed quite so quickly (the
median time for multiarch patches getting applied is much longer than 5
hours :), so I didn't express any urgency for getting that patch into
Debian.  Sorry about that.

LaMont, can this multiarch fix be included in the next postfix upload?  That
would at least let the cyrus-sasl2 maintainers set the Breaks: so that
people don't break their mailservers unwittingly.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added indication that 638045 affects postfix Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 17 Aug 2011 21:21:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Thu, 18 Aug 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Thu, 18 Aug 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #51 received at 638045@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: 638045@bugs.debian.org
Subject: Also affects sendmail
Date: Thu, 18 Aug 2011 23:23:36 +0000
[Message part 1 (text/plain, inline)]
This bug also affects sendmail:

  Aug 18 23:07:03 castro sm-mta[6270]: p7IJ3C7F001708: AUTH=client, available mechanisms do not fulfill requirements

Please make sure that whatever upload occurs does not break sendmail.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Fri, 19 Aug 2011 07:45:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Fri, 19 Aug 2011 07:45:27 GMT) Full text and rfc822 format available.

Message #56 received at 638045@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: "brian m. carlson" <sandals@crustytoothpaste.net>, 638045@bugs.debian.org, Steve Langasek <vorlon@debian.org>, sendmail@packages.debian.org
Subject: Re: Bug#638045: Also affects sendmail
Date: Fri, 19 Aug 2011 09:43:30 +0200
affects 638045 +sendmail
thank you

Hi Brian,

sorry for the breakage, it seems that I was too fast in uploading the
MultiArch cyrus-sasl2.

Steve, I guess you also have the patch for sendmail? Or should I just remove the
MultiArch patch, we open bugs in postfix and sendmail and block the MultiArch
in cyrus-sasl2 untill the postfix and sendmail is ready? I don't think
it's necessary,
it's the unstable -> breakages occur from time to time when there is a
big transition
planned (but I am probably too old now, since I remember my broken system
when we transitioned from libc5 and libdb1 :)).

Rick, are you able to do a quick upload to fix this problem in sendmail?

O.

2011/8/19 brian m. carlson <sandals@crustytoothpaste.net>:
> This bug also affects sendmail:
>
>  Aug 18 23:07:03 castro sm-mta[6270]: p7IJ3C7F001708: AUTH=client, available mechanisms do not fulfill requirements
>
> Please make sure that whatever upload occurs does not break sendmail.
>
> --
> brian m. carlson / brian with sandals: Houston, Texas, US
> +1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
> OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
>
> _______________________________________________
> Pkg-cyrus-sasl2-debian-devel mailing list
> Pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-cyrus-sasl2-debian-devel
>



-- 
Ondřej Surý <ondrej@sury.org>




Added indication that 638045 affects sendmail Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Fri, 19 Aug 2011 07:45:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Fri, 19 Aug 2011 09:46:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Fri, 19 Aug 2011 09:46:48 GMT) Full text and rfc822 format available.

Message #63 received at 638045@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 638045@bugs.debian.org, sendmail@packages.debian.org
Subject: Re: Bug#638045: Also affects sendmail
Date: Fri, 19 Aug 2011 02:42:13 -0700
[Message part 1 (text/plain, inline)]
On Fri, Aug 19, 2011 at 09:43:30AM +0200, Ondřej Surý wrote:
> affects 638045 +sendmail
> thank you

> sorry for the breakage, it seems that I was too fast in uploading the
> MultiArch cyrus-sasl2.

> Steve, I guess you also have the patch for sendmail?

Sorry, I do not.  I had found the postfix bug because I use postfix myself,
so caught the regression; I didn't expect other sasl2 consumers to have the
same bug.  Now that we've found two, we should check all the cyrus-sasl2
reverse depends for buggy SASL_CB_GETPATH callbacks.

Here's a preliminary attempt to find all candidate packages in Ubuntu.

$ for pkg in $(zcat /mirror/ubuntu/dists/oneiric/*/binary-i386/Packages.gz \
               | grep-dctrl -FDepends libsasl2-2 -sSource:Package -n | sort -u)
  do
    source=$(zcat /mirror/ubuntu/dists/oneiric/*/source/Sources.gz \
             | grep-dctrl -FPackage -X $pkg \
             | awk '/Directory:/ { dir = $NF }; /\.dsc$/ { print dir "/" $NF; exit }')
    dpkg-source -x ~/ubuntu/$source > /dev/null 2>&1
    (cd ${pkg}-* && ./debian/rules unpack >/dev/null 2>&1)
    grep -rq SASL_CB_GETPATH . && echo $pkg
    rm -r ${pkg}*
  done

Unfortunately I don't have a full local source mirror with a suitable set of
dev tools installed, so several packages may have nested tarballs that don't
get unpacked (in fact, this query fails to find sendmail for me), but here
is a list of candidates I did find:

 ptlib
 ptlib-wolf
 pwlib

As it happens, each of these are libraries that *reexport* an interface for
setting the SASL path, so I guess there's more digging to be done there as
well.

> Or should I just remove the MultiArch patch, we open bugs in postfix and
> sendmail and block the MultiArch in cyrus-sasl2 untill the postfix and
> sendmail is ready?

I think that's your call as the maintainer.  I wouldn't like these bugs to
sit around too long unfiled, in any case - and we need to get them fixed for
the Ubuntu release before too long as well.  So it might be a week or two
before we have these all fixed, but no longer.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Fri, 19 Aug 2011 09:51:30 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@sury.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Fri, 19 Aug 2011 09:51:36 GMT) Full text and rfc822 format available.

Message #68 received at 638045@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@sury.org>
To: Steve Langasek <vorlon@debian.org>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 638045@bugs.debian.org, sendmail@packages.debian.org
Subject: Re: Bug#638045: Also affects sendmail
Date: Fri, 19 Aug 2011 11:49:33 +0200
>> Or should I just remove the MultiArch patch, we open bugs in postfix and
>> sendmail and block the MultiArch in cyrus-sasl2 untill the postfix and
>> sendmail is ready?
>
> I think that's your call as the maintainer.  I wouldn't like these bugs to
> sit around too long unfiled, in any case - and we need to get them fixed for
> the Ubuntu release before too long as well.  So it might be a week or two
> before we have these all fixed, but no longer.

I am inclined to keep the multiarch in unstable even with breakages in the other
packages. The milk has been spilled and we need to clean up the mess anyway.
And we still have working version in testing which is not going away, so people
can just used that and pin the cyrus-sasl2 version to a working one.

My experience also tells me that if we just revert the multiarch cyrus-sasl2
it will never get fixed in the depending packages.

So my call (now) is to keep this bug open and fix the plugin paths in depending
packages.

O.
-- 
Ondřej Surý <ondrej@sury.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Fri, 19 Aug 2011 10:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Fri, 19 Aug 2011 10:03:08 GMT) Full text and rfc822 format available.

Message #73 received at 638045@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Ondřej Surý <ondrej@sury.org>
Cc: "brian m. carlson" <sandals@crustytoothpaste.net>, 638045@bugs.debian.org, sendmail@packages.debian.org
Subject: Re: Bug#638045: Also affects sendmail
Date: Fri, 19 Aug 2011 03:01:05 -0700
[Message part 1 (text/plain, inline)]
On Fri, Aug 19, 2011 at 11:49:33AM +0200, Ondřej Surý wrote:
> >> Or should I just remove the MultiArch patch, we open bugs in postfix and
> >> sendmail and block the MultiArch in cyrus-sasl2 untill the postfix and
> >> sendmail is ready?

> > I think that's your call as the maintainer.  I wouldn't like these bugs to
> > sit around too long unfiled, in any case - and we need to get them fixed for
> > the Ubuntu release before too long as well.  So it might be a week or two
> > before we have these all fixed, but no longer.

> I am inclined to keep the multiarch in unstable even with breakages in the
> other packages.  The milk has been spilled and we need to clean up the
> mess anyway.

Ok.

> So my call (now) is to keep this bug open and fix the plugin paths in
> depending packages.

So I've looked at sendmail now, and I can't find anywhere that it's setting
a SASL_CB_GETPATH plugin.  Do you have an idea what else might be causing
the sendmail failure?

revised script, doesn't require a local mirror:

for pkg in $(grep-dctrl -FDepends libsasl2-2 -sSource:Package -n /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_oneiric_*amd64_Packages \
             | sort -u)
do
  apt-get source --only-source $pkg >/dev/null 2>&1
  (cd ${pkg}-* && ./debian/rules unpack >/dev/null 2>&1)
  grep -rq SASL_CB_GETPATH . && echo $pkg; rm -rf ${pkg}*
done

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>:
Bug#638045; Package libsasl2-2. (Fri, 19 Aug 2011 22:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>. (Fri, 19 Aug 2011 22:54:06 GMT) Full text and rfc822 format available.

Message #78 received at 638045@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 638045@bugs.debian.org
Subject: Re: warning: xsasl_cyrus_server_get_mechanism_list: no mechanism available
Date: Fri, 19 Aug 2011 15:51:43 -0700
[Message part 1 (text/plain, inline)]
I've checked the reverse dependencies of libpt(2.6.7|2.4.5|-1.10.10); of
these, h323plus and opal are candidates with references to 'SetPath' in the
code, but on inspection these are false positives.

So the only package I've found that has an issue with SASL_CB_GETPATH is
postfix, and I have no idea why sendmail is breaking since it doesn't use
this callback.

  for pkg in $(
    grep-dctrl -FDepends -e 'libpt2.6.7|libpt2.4.5|libpt-1.10.10' -sSource:Package -n \
        /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_oneiric_*amd64_Packages \
    | sort -u)
  do
    apt-get source --only-source $pkg >/dev/null 2>&1
    (cd ${pkg}-* && ./debian/rules unpack >/dev/null 2>&1)
    grep -rq SetPath . && echo $pkg
    rm -rf ${pkg}*
  done

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from LaMont Jones <lamont@debian.org> to control@bugs.debian.org. (Sat, 20 Aug 2011 15:15:03 GMT) Full text and rfc822 format available.

Reply sent to LaMont Jones <lamont@debian.org>:
You have taken responsibility. (Sat, 20 Aug 2011 21:06:25 GMT) Full text and rfc822 format available.

Notification sent to Johnny Morano <jmorano@moretrix.com>:
Bug acknowledged by developer. (Sat, 20 Aug 2011 21:06:25 GMT) Full text and rfc822 format available.

Message #85 received at 638045-close@bugs.debian.org (full text, mbox):

From: LaMont Jones <lamont@debian.org>
To: 638045-close@bugs.debian.org
Subject: Bug#638045: fixed in postfix 2.8.4-1
Date: Sat, 20 Aug 2011 21:03:34 +0000
Source: postfix
Source-Version: 2.8.4-1

We believe that the bug you reported is fixed in the latest version of
postfix, which is due to be installed in the Debian FTP archive:

postfix-cdb_2.8.4-1_amd64.deb
  to main/p/postfix/postfix-cdb_2.8.4-1_amd64.deb
postfix-cdb_2.8.4-1_i386.deb
  to main/p/postfix/postfix-cdb_2.8.4-1_i386.deb
postfix-dev_2.8.4-1_all.deb
  to main/p/postfix/postfix-dev_2.8.4-1_all.deb
postfix-doc_2.8.4-1_all.deb
  to main/p/postfix/postfix-doc_2.8.4-1_all.deb
postfix-ldap_2.8.4-1_amd64.deb
  to main/p/postfix/postfix-ldap_2.8.4-1_amd64.deb
postfix-ldap_2.8.4-1_i386.deb
  to main/p/postfix/postfix-ldap_2.8.4-1_i386.deb
postfix-mysql_2.8.4-1_amd64.deb
  to main/p/postfix/postfix-mysql_2.8.4-1_amd64.deb
postfix-mysql_2.8.4-1_i386.deb
  to main/p/postfix/postfix-mysql_2.8.4-1_i386.deb
postfix-pcre_2.8.4-1_amd64.deb
  to main/p/postfix/postfix-pcre_2.8.4-1_amd64.deb
postfix-pcre_2.8.4-1_i386.deb
  to main/p/postfix/postfix-pcre_2.8.4-1_i386.deb
postfix-pgsql_2.8.4-1_amd64.deb
  to main/p/postfix/postfix-pgsql_2.8.4-1_amd64.deb
postfix-pgsql_2.8.4-1_i386.deb
  to main/p/postfix/postfix-pgsql_2.8.4-1_i386.deb
postfix_2.8.4-1.diff.gz
  to main/p/postfix/postfix_2.8.4-1.diff.gz
postfix_2.8.4-1.dsc
  to main/p/postfix/postfix_2.8.4-1.dsc
postfix_2.8.4-1_amd64.deb
  to main/p/postfix/postfix_2.8.4-1_amd64.deb
postfix_2.8.4-1_i386.deb
  to main/p/postfix/postfix_2.8.4-1_i386.deb
postfix_2.8.4.orig.tar.gz
  to main/p/postfix/postfix_2.8.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638045@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
LaMont Jones <lamont@debian.org> (supplier of updated postfix package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Aug 2011 13:48:59 -0600
Source: postfix
Binary: postfix postfix-ldap postfix-cdb postfix-pcre postfix-mysql postfix-pgsql postfix-dev postfix-doc
Architecture: all amd64 i386 source
Version: 2.8.4-1
Distribution: unstable
Urgency: low
Maintainer: LaMont Jones <lamont@debian.org>
Changed-By: LaMont Jones <lamont@debian.org>
Closes: 560682 627266 638045 638443
Description: 
 postfix-cdb - CDB map support for Postfix
 postfix-dev - Loadable modules development environment for Postfix
 postfix-doc - Documentation for Postfix
 postfix    - High-performance mail transport agent
 postfix-ldap - LDAP map support for Postfix
 postfix-mysql - MySQL map support for Postfix
 postfix-pcre - PCRE map support for Postfix
 postfix-pgsql - PostgreSQL map support for Postfix
Changes: 
 postfix (2.8.4-1) unstable; urgency=low
 .
   [Scott Kitterman]
 .
   * Switch to debhelper 7, use dh_prep instead of dh_clean -k
 .
   [Friedemann Stoyan]
 .
   * create chroots with the right ca_path.  Closes: #627266
 .
   [Wietse Venema]
 .
   * Upstream fix release
     - Performance: a high load of DSN success notification requests
       could slow down the queue manager.
     - Bugfix (introduced Postfix 2.3 and Postfix 2.7): the Milter
       client reported some "file too large" errors as temporary
       errors.
     - Bugfix (introduced in Postfix 1.1, duplicated in Postfix
       2.3, unrelated mistake in Postfix 2.7): the local(8) delivery
       agent ignored table lookup errors in mailbox_command_maps,
       mailbox_transport_maps, fallback_transport_maps and (while
       bouncing mail to alias) alias owner lookup.
     - Bugfix (introduced Postfix 2.6 with master_service_disable)
       loop control error when parsing a malformed master.cf file.
     - Bugfix (introduced: Postfix 2.7): "sendmail -t" reported
       "protocol error" after queue file write error.
     - Linux kernel version 3 support.
     - Workaround: some Spamhaus RHSBL rejects lookups with "No
       IP queries" even if the name has an alphanumerical prefix.
       We play safe, and skip both RHSBL and RHSWL queries for
       names ending in a numerical suffix.
 .
   [LaMont Jones]
 .
   * apport, fix FTBFS on linux 3.0 - From ubuntu.
   * SASL vs multiarch.  Closes: #638443, #638045
   * Update init.d script to handle multi_instance setups.  Closes: #560682
   * Do not try to update resolv.conf when main.cf does not exist.  LP: #530323
   * Better handle bad map names in postmap -u.  LP: #647647
   * Drop apport usage, since debian lacks it and failing to build is bad.
Checksums-Sha1: 
 a8bc68365746d1ccb7e5145c48a25c8fc348e7ec 1514462 postfix_2.8.4-1_amd64.deb
 1d34ea299913894eb4e83defc327e51bb23521cc 247690 postfix-ldap_2.8.4-1_amd64.deb
 60f4db378d53b95fa9401f6b1787f44db2bc336d 238934 postfix-cdb_2.8.4-1_amd64.deb
 d4654ecdaa0d9ad1f1cc861f5deb6d8bef03b410 240824 postfix-pcre_2.8.4-1_amd64.deb
 78c2f1cb2cd0d64f723216bb6481dedc107f2ed1 240778 postfix-mysql_2.8.4-1_amd64.deb
 1f106cbe8d8c73c5b71df11667255abcc8d1f582 240962 postfix-pgsql_2.8.4-1_amd64.deb
 7a2fcb46955306d05a797537699211b533406ee1 1471518 postfix_2.8.4-1_i386.deb
 4ad5d93971c038b0166ec44e1f090db97eb152d0 247018 postfix-ldap_2.8.4-1_i386.deb
 e4fd8e51ad1cd80672c6969c32b0a01de6d56bab 238818 postfix-cdb_2.8.4-1_i386.deb
 f51b891449a485a91001d2f7831b9b6a4a13a2e0 240652 postfix-pcre_2.8.4-1_i386.deb
 6d240a57a6d75f9619728712e81c0650d8b5460d 240696 postfix-mysql_2.8.4-1_i386.deb
 df10cceffd7977654711177173f0cdcccac69b43 240886 postfix-pgsql_2.8.4-1_i386.deb
 5b6c0b41538375cdeaf86845791711226803662c 346066 postfix-dev_2.8.4-1_all.deb
 e64689a1931dc2741af4b911e5d9a83df68c4add 1254710 postfix-doc_2.8.4-1_all.deb
 f558d8dbee3b3b39abd606cb99f04fefdb511082 1469 postfix_2.8.4-1.dsc
 48d077ad2614098f39411cb965a74d8ce2f3e5be 3646391 postfix_2.8.4.orig.tar.gz
 87574f03eddb4283f0601646e49d4a70298de01f 248551 postfix_2.8.4-1.diff.gz
Checksums-Sha256: 
 1e88fc6e0a43c015f7a3a9c2aa7087bc434cdd32663756af33810a94818481cc 1514462 postfix_2.8.4-1_amd64.deb
 d4899aa54109aa407b90e75ebeb8c3e1f3c59b22b35e1b5815c05859788476fb 247690 postfix-ldap_2.8.4-1_amd64.deb
 96d67cc4c9e3a460eb1ddc4ca9b65011253ff0602a5525dd759165d1e3ed522d 238934 postfix-cdb_2.8.4-1_amd64.deb
 86373698069535585997344ae37baa3449f921e0d549fc54cac4e70c20a6746a 240824 postfix-pcre_2.8.4-1_amd64.deb
 a8f3e50fa09fe5ef399dbedace8761d02706d112b4c8fa64d673338908def442 240778 postfix-mysql_2.8.4-1_amd64.deb
 579f8d72be268bf5911f38c0fa2411c7128e66aac93d0259364c32f38a8088f0 240962 postfix-pgsql_2.8.4-1_amd64.deb
 2d5e35c9543190e6310864a27b8caf98a2ab8210944f1772613587aaba69958b 1471518 postfix_2.8.4-1_i386.deb
 70d0579e8964d134f5cdd0195bb3c6bd76ab58c2ece6e082fafd2ccea1a459e0 247018 postfix-ldap_2.8.4-1_i386.deb
 39f1f2dfba90f9ce428b329d1bbd413d2e386761d99eb7c3ef722b69908116cc 238818 postfix-cdb_2.8.4-1_i386.deb
 4412def67f90c3d607a404ac24524013b193b8d26ff068b74f419338f271968d 240652 postfix-pcre_2.8.4-1_i386.deb
 306d07018b3cac1ebd9002f4677147e339cdd6e3e899c09ceeaaa539a8ad0edb 240696 postfix-mysql_2.8.4-1_i386.deb
 4a9de092d250fc589cadeddf21148a574248135578cb67c38a6d7545dd1b9b0f 240886 postfix-pgsql_2.8.4-1_i386.deb
 2c4eeede43d50942be6968d8d093b476337a35610cf91d1f213cf5da3e8963a9 346066 postfix-dev_2.8.4-1_all.deb
 0958724a63220c412af4828b02a7e63b2240f36f51a7288cf4facb0fd6002c1a 1254710 postfix-doc_2.8.4-1_all.deb
 3ed1403e1e50b7ff695c82ddd5911aaf50a99558560c08c47228b88c8433134f 1469 postfix_2.8.4-1.dsc
 979a85b06de1a85be121bfb685e590da9a1441b08b16a89a5e4abc7f1de29df5 3646391 postfix_2.8.4.orig.tar.gz
 8e83fd181b7ef9fc6e735d414ea026b9fa9821103a776eb7ab7f1868846b5728 248551 postfix_2.8.4-1.diff.gz
Files: 
 18076dc902fb9a7025f9205b014e068c 1514462 mail extra postfix_2.8.4-1_amd64.deb
 7d751a0d818924103e67042fdb5f5afb 247690 mail extra postfix-ldap_2.8.4-1_amd64.deb
 e73aaa68bc98feee9e218c5e3280a9f6 238934 mail extra postfix-cdb_2.8.4-1_amd64.deb
 6785421e7efebba24b631a7cc2f9efdb 240824 mail extra postfix-pcre_2.8.4-1_amd64.deb
 8933e344d25cb2c66e77fbd73aa17a48 240778 mail extra postfix-mysql_2.8.4-1_amd64.deb
 34f52715121a5568c22e31749f773730 240962 mail extra postfix-pgsql_2.8.4-1_amd64.deb
 062ca66fcf652ded9851a669406701a7 1471518 mail extra postfix_2.8.4-1_i386.deb
 4628971b2c6613a8b916f4f8410f7f0d 247018 mail extra postfix-ldap_2.8.4-1_i386.deb
 adc331547a7b16e72d34f259c3d7b5c1 238818 mail extra postfix-cdb_2.8.4-1_i386.deb
 2b0602a5a1a38e531b9aef5ce2f012ae 240652 mail extra postfix-pcre_2.8.4-1_i386.deb
 bacee0169f76f982459747f86c059c7c 240696 mail extra postfix-mysql_2.8.4-1_i386.deb
 28f2b3b7ae54521431808f932235057d 240886 mail extra postfix-pgsql_2.8.4-1_i386.deb
 e6055c8627fd285e50e7bae21c1a800c 346066 devel extra postfix-dev_2.8.4-1_all.deb
 0c96ac5c8839023d9b4a73038aea3759 1254710 doc extra postfix-doc_2.8.4-1_all.deb
 a47b1f547d36b7cac441780cbdd9ffeb 1469 mail extra postfix_2.8.4-1.dsc
 a9fdd0f204e7ca0b7d32fd0b9f8f8c72 3646391 mail extra postfix_2.8.4.orig.tar.gz
 f7944580d860323231d17f4301712ffc 248551 mail extra postfix_2.8.4-1.diff.gz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOUBy/zN/kmwoKyScRAjOSAJ9zjfme9h9ffGFPN3+K1noZHN9WcQCdHHa3
2fjJB5r1jS8TKIwXjC0T1SI=
=B7Y4
-----END PGP SIGNATURE-----





Bug Marked as fixed in versions cyrus-sasl2/2.1.24~rc1.dfsg1+cvs2011-05-23-6. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 05 Sep 2011 11:03:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 04 Oct 2011 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:43:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.